# Uses of Enum Class
org.jfree.chart3d.graphics2d.TextAnchor

Packages that use TextAnchor
Package
Description
org.jfree.chart3d.graphics2d
Utility classes related to 2D graphics.
org.jfree.chart3d.marker
Provides value and range marker support for the axes on category and XYZ plots.

## Uses of TextAnchor in org.jfree.chart3d.graphics2d

Methods in org.jfree.chart3d.graphics2d that return TextAnchor
Modifier and Type
Method
Description
`static TextAnchor`
TextAnchor.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TextAnchor[]`
TextAnchor.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of TextAnchor in org.jfree.chart3d.marker

Methods in org.jfree.chart3d.marker that return TextAnchor
Modifier and Type
Method
Description
`protected static TextAnchor`
AbstractMarker.`deriveTextAnchor(RefPt2D refPt, boolean vflip)`
A utility method that returns a suitable text anchor for a given reference point.
`protected static TextAnchor`
AbstractMarker.`deriveTextAnchorForLine(RefPt2D refPt, boolean vflip)`
A utility method that returns a suitable text anchor for a given reference point relative to a line (rather than a rectangle which is the normal case).